Chapters:
1: Introduction
2: Simple example
3: Invocation
4: Finer Control
5: X-Y Plots
6: Contour Plots
7: Image Plots
8: Examples
9: Gri Commands
10: Programming
11: Environment
12: Emacs Mode
13: History
14: Installation
15: Gri Bugs
16: Test Suite
17: Gri in Press
18: Acknowledgments
19: License
Indices:
Concepts
Commands
Variables

# 16: Test Suite

The following test files are invoked by typing ``make test`', after compiling Gri. They are provided here because they are examples of scripts that are known to work for the version of Gri described in this manual.

Heavy use is made of the ``assert`' command (see Assert) in these test files. Thus the code itself demonstrates the features, instead of comments in the code. This is advantageous since comments tend to be incorrect!

Test file ``tst_IO.gri`'.

Test file ``tst_control.gri`'.

Test file ``tst_rpn.gri`'.

Test file ``tst_var_syn.gri`'.